from collections import namedtuple

Response = namedtuple('Response', 'order_id, org_code, tech_code, comment')

MAX_AGE = 8


class ApplicationRequestMessage:
    """Сообщения для результата обработки заявки."""

    SUCCESS = 'Заявление принято к рассмотрению'
    CHANGES_SUCCESS = 'Изменения приняты'
    NO_CHANGES = 'Изменений не найдено'
    DATA_ERROR = 'Ошибка в данных запроса'
    MULTIPLE = 'Заявление на ребенка с указанными параметрами существует'
    OLD = 'Превышен допустимый возраст - 8 лет'
    DESIRED_DATE_ERROR = (
        'Указанная желаемая дата зачисления раннее, чем {today_date}')

    ORG_CODE_110 = 110
    ORG_CODE_150 = 150

    values = {
        SUCCESS: ORG_CODE_110,
        CHANGES_SUCCESS: ORG_CODE_110,
        NO_CHANGES: ORG_CODE_150,
        DATA_ERROR: ORG_CODE_150,
        MULTIPLE: ORG_CODE_150,
        OLD: ORG_CODE_150,
        DESIRED_DATE_ERROR: ORG_CODE_150,
    }

