from kinder.core.declaration_status.enum import DSS
from kinder.core.direct.models import DRS


ERROR_ORG_CODE = 150

# Соответствие статусов и кодов, отправляемых при смене статуса заявления
DECLARATION_STATUS_MAP = {
    DSS.ACCEPTED_FOR_CONSIDERING: (120, 'Начато рассмотрение заявления.'),
    DSS.DUL_CONFIRMATING: (
        130, 'Для подтверждения данных вам необходимо представить в '
             '{mo} {doc_date_before} следующие документы: Свидетельство о '
             'рождении, Документ, подтверждающий прописку.'),
    DSS.MED_CONFIRMATING: (
        130, 'Для подтверждения данных вам необходимо представить в '
             '{mo} {doc_date_before} следующие документы: Заключение ПМПК.'),
    DSS.TUTOR_CONFIRMATING: (
        130, 'Для подтверждения данных вам необходимо представить в '
             '{mo} {doc_date_before} следующие документы: '
             'Документы, подтверждающие опеку.'),
    DSS.ZAGS_CHECKING: (
        130, 'Для подтверждения данных вам необходимо представить в '
             '{mo} {doc_date_before} следующие документы: Свидетельство '
             'о рождении.'),
    DSS.REFUSED: (
        150, 'Вам отказано в предоставлении услуги по текущему заявлению по '
             'причине {comment}. Вам необходимо обратиться по адресу: '
             '{mo_address}.'),
    DSS.WANT_CHANGE_DOU: (
        220, 'Действия по заявлению приостановлены по причине Вашего отказа '
             'от предоставленного места. Вам необходимо изменить заявление '
             'либо отозвать его.'),
}

DEFAULT_CODE_COMMENT = (130, 'Необходимо подтвердить данные заявления')

DIRECTED_WITHOUT_RESPONSE = 'DIRECTED_WITHOUT_RESPONSE'

# Соответствие статусов и кодов, отправляемых при смене статуса направления
DIRECT_STATUS_MAP = {
    DRS.REGISTER: (
        190, 'Вам предоставлено место в {doo} в группу {group} ({age_cat}) в '
             'соответствии с {document_details}. Вам необходимо явиться по '
             'адресу {unit_address} {date_before}.'
    ),
    DRS.REJECT: (
        210, 'Действие Вашего заявления приостановлено по причине {reason} .'
    ),
    DRS.NEED_CHANGE: (
        220, 'Действия по заявлению приостановлены по причине Вашего отказа '
             'от предоставленного места. Вам необходимо изменить заявление '
             'либо отозвать его.'),
    DIRECTED_WITHOUT_RESPONSE: (
        230, 'Согласие с предоставленным местом направленно на рассмотрение '
             'в {mo}.'),
    DRS.DOGOVOR: (
        240, 'Ваше заявление рассмотрено. Вам необходимо заключить договор '
             'до {dogovor_days}.'
    ),
    DRS.ACCEPT: (
        250, 'Ваш ребенок зачислен в {doo}, расположенную по адресу '
             '{unit_address}. На основании договора от {date_in_order_to_doo}.'
    ),
}

DECLARATION_CHANGES_REFUSED_CODE = 180
DECLARATION_CHANGES_REFUSED_COMMENT = (
    'Вам отказано в изменении заявления по причине: '
    '{comment}.')

DECLARATION_REVIEWED_CODE = 140
DECLARATION_REVIEWED_COMMENT = (
    'Ваше заявление рассмотрено. Индивидуальный номер заявления {order_id}. '
    'Ожидайте направления в выбранную образовательную организацию после '
    '{desired_date}.')
DECLARATION_AWAITING_CODE = 160
DECLARATION_AWAITING_COMMENT = (
    'В настоящее время в образовательных организациях, указанных в заявлении, '
    'нет свободных мест, соответствующих запрашиваемым в заявлении условиях. ')
CHANGE_DECLARATION_CODE = 170
CHANGE_DECLARATION_COMMENT = (
    'В заявления для направления были внесены следующие изменения: {changes}.')
CHANGES_DATA_TEMPATE = (
    '{index}. Поле: {field}. Старое значение: {old_value}. Новое значение: '
    '{new_value}')
DECLARATION_RECEIVED_CODE = 110
DECLARATION_RECEIVED_COMMENT = (
    'Заявление передано в региональную систему доступности дошкольного '
    'образования.  Заявление зарегистрировано. {date} с номером '
    '{declaration_id}. Ожидайте рассмотрения в течении 7 дней.')
